Section "InputClass"
	Identifier "calibration"
	MatchProduct "Goodix Capacitive TouchScreen"
	
	# For test in real-time
	# export DISPLAY=:0  # Type this if connected over SSH
	# xinput  # Search "goodix" device ID
	# xinput set-prop 6 "Coordinate Transformation Matrix" 0 1 0 -1 0 1 0 0 1

	# Rotate   0:  1  0  0   0  1  0   0 0 1
	# Rotate  90:  0  1  0  -1  0  1   0 0 1
	# Rotate 180: -1  0  1   0 -1  1   0 0 1
	# Rotate 270:  0 -1  1   1  0  0   0 0 1
	Option "TransformationMatrix" "0 1 0 -1 0 1 0 0 1"  # 90 degree

	Option "EmulateThirdButton"			"1"
	Option "EmulateThirdButtonTimeout"		"500"
	Option "EmulateThirdButtonMoveThreshold"	"100"
EndSection

Section "Device"  
	Identifier "fbtft"
	Driver "fbdev"
	Option "fbdev" "/dev/fb0"
EndSection
